QGIS Application - Bug report #20639
Custom page size in print layout not working
2018-11-27 12:08 PM - Tomislav Jogun

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.4.1 Regression?: No

Operating System: Linux Ubuntu 18.04 Easy fix?: No

Pull Request or Patch supplied: Resolution: up/downstream
Crashes QGIS or corrupls data: Copied to github as #: 28459
Description

When a user wants to define a custom page size in print layout (CTRL+Shift+P), dropdown selector returns to the last predefined page
size.

History

#1 - 2018-11-27 12:17 PM - Jiirgen Fischer
- Subject changed from Cutom page size in print layout not working to Custom page size in print layout not working

#2 - 2018-11-27 12:33 PM - Giovanni Manghi
- Regression? changed from No to Yes

#3 - 2018-12-20 07:56 PM - Christopher Hicks

I'm noticing this as well. | tried changing the size in the layouts element of the project file, but can't find those dimensions or page size anywhere. checked
on both windows 10 and Ubuntu 18.

#4 - 2019-02-07 11:44 AM - Marco Hugentobler

This is the behaviour that comes with QPageSetupDialog and it is the same also in other applications using QPageSetupDialog (e.g. kate). Don't know why

it behaves like that, but it is not a QGIS bug. I'm suggesting to close this ticket.

#5 - 2019-02-07 11:45 AM - Giovanni Manghi
- Status changed from Open to Feedback

- Regression? changed from Yes to No

- Priority changed from High to Normal

#6 - 2019-02-07 11:38 PM - Nyall Dawson

- Resolution set to up/downstream
- Status changed from Feedback to Closed

Also worth noting that the correct way to set the actual size for the layout page is to right-click the page and select page properties. The Page Setup

command applies only to printing pages.
